% inspect the attenuation due to filtering in the detection decimation.
%
%

set(0,'defaultaxesfontsize',12)
clf

Fs = 10;
F1 = -2;
F2 = 12;
Decim = 20;

x = linspace(F1,F2,10000);

xx = 2*pi*x/Fs;

y = diric(xx,Decim);

%subplot(2,1,1)
%----------------------------------
%plot(x,abs(y));
%set(gca,'fontsize',16);
%h = xlabel('Frequency (MHz)'); set(h,'fontsize',16);
%h = ylabel('| H(f) | '); set(h,'fontsize',16);

%subplot(2,1,2)
%----------------------------------
plot(x,abs(y));

Pos = [0.1300    0.1100    0.7750    0.4412];
set(gca,'pos',Pos);


hold on

fmin = Fs - 0.5*Fs/Decim;
fmax = Fs + 0.5*Fs/Decim;

FC = [0.9 0.9 1];
h = area( [fmin,fmax], [ 1 1 ] );
set(h,'facecolor',FC, 'edgecolor','none');

plot(x,abs(y));

set(gca,'xlim',[9,11]);
set(gca,'fontsize',14);

f1 =  9.8;
f2 = 10.1;

ff1 = 2*pi*f1/Fs;
ff2 = 2*pi*f2/Fs;

y1 = abs(diric(ff1,Decim));
y2 = abs(diric(ff2,Decim));


h = stem(f1,y1,'r-'); set(h,'markerfacecolor','r');
h = stem(f2,y2,'r-'); set(h,'markerfacecolor','r');

set(gca,'layer','top')

h=text(f1+0.02,y1/3,sprintf('%1.1f',f1)); set(h,'fontsize',14);
h=text(f2+0.02,y2/3,sprintf('%1.1f',f2)); set(h,'fontsize',14);

h = text(f1-0.04,y1,sprintf('%1.3f',y1));
set(h,'horizontal','right', 'vertical','middle','fontsize',14)

h = text(f2+0.04,y2,sprintf('%1.3f',y2));
set(h,'horizontal','left','vertical','middle','fontsize',14)

%h = xlabel(' Frequency (MHz)'); set(h,'fontsize',10);
h = xlabel(' '); set(h,'fontsize',10);

%h = ylabel('| H(f) | '); set(h,'fontsize',10);



hold off
